Skip to content

Method "getCategories" ​

Use this method to get the list of available products categories.

Parameters (data) ​

has no params

Response ​

paramdescription
idID of category
titletitle of category
products_countcount of products in category (one product can be in multiple categories)

Request example ​

bash
# SIG calculating
$ echo -n 'getCategories[]SECRET' | sha256sum - | awk '{print $1}'

# doing request using ID and SIG
$ curl 'https://api.giftery.es/v1/?cmd=getCategories&id=ID&in=json&out=json&data=%5B%5D&sig=SIG'

Response example ​

JSON
{
    "status": "ok",
    "data": [
        {
            "id":"27",
            "title":"Спорт",
            "products_count": 4
        },
        {
            "id":"29",
            "title":"Other",
            "products_count": 0
        }
    ]
}